Xalan-Java 2.7.1: Class NamedMethodGenerator

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xsltc.compiler.util
Class NamedMethodGenerator

    java.lang.Object
      |
      +--org.apache.bcel.classfile.AccessFlags
            |
            +--org.apache.bcel.generic.FieldGenOrMethodGen
                  |
                  +--org.apache.bcel.generic.MethodGen
                        |
                        +--org.apache.xalan.xsltc.compiler.util.MethodGenerator
                              |
                              +--org.apache.xalan.xsltc.compiler.util.NamedMethodGenerator

public final class NamedMethodGenerator
extends MethodGenerator

This class is used for named templates. Named template methods have access to the DOM, the current iterator, the handler and the current node.

Constructor Summary
`NamedMethodGenerator(int access_flags, org.apache.bcel.generic.Type return_type, org.apache.bcel.generic.Type[] arg_types, java.lang.String[] arg_names, java.lang.String method_name, java.lang.String class_name, org.apache.bcel.generic.InstructionList il, org.apache.bcel.generic.ConstantPoolGen cp)`

Method Summary
`int` | `getLocalIndex(java.lang.String name)`
`org.apache.bcel.generic.Instruction` | `loadParameter(int index)`
`org.apache.bcel.generic.Instruction` | `storeParameter(int index)`

Methods inherited from class org.apache.xalan.xsltc.compiler.util.MethodGenerator
`addInstructionList, addLocalVariable, addLocalVariable2, attribute, endDocument, endElement, getInstructionList, getLocalVariable, loadContextNode, loadCurrentNode, loadDOM, loadHandler, loadIterator, markChunkEnd, markChunkStart, namespace, nextNode, outlineChunks, removeLocalVariable, reset, setMaxLocals, setStartNode, startDocument, startElement, storeContextNode, storeCurrentNode, storeDOM, storeHandler, storeIterator, uniqueAttribute`

Methods inherited from class org.apache.bcel.generic.MethodGen
`addCodeAttribute, addException, addExceptionHandler, addLineNumber, addLocalVariable, addObserver, copy, getArgumentName, getArgumentNames, getArgumentType, getArgumentTypes, getClassName, getCodeAttributes, getExceptionHandlers, getExceptions, getInstructionList, getLineNumbers, getLineNumberTable, getLocalVariables, getLocalVariableTable, getMaxLocals, getMaxStack, getMaxStack, getMethod, getReturnType, getSignature, removeCodeAttribute, removeCodeAttributes, removeException, removeExceptionHandler, removeExceptionHandlers, removeExceptions, removeLineNumber, removeLineNumbers, removeLocalVariables, removeNOPs, removeObserver, setArgumentName, setArgumentNames, setArgumentType, setArgumentTypes, setClassName, setInstructionList, setMaxLocals, setMaxStack, setMaxStack, setReturnType, stripAttributes, toString, update`

Methods inherited from class org.apache.bcel.generic.FieldGenOrMethodGen
`addAttribute, clone, getAttributes, getConstantPool, getName, getType, removeAttribute, removeAttributes, setConstantPool, setName, setType`

Methods inherited from class org.apache.bcel.classfile.AccessFlags
`getAccessFlags, isAbstract, isAbstract, isFinal, isFinal, isInterface, isInterface, isNative, isNative, isPrivate, isPrivate, isProtected, isProtected, isPublic, isPublic, isStatic, isStatic, isStrictfp, isStrictfp, isSynchronized, isSynchronized, isTransient, isTransient, isVolatile, isVolatile, setAccessFlags`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NamedMethodGenerator

    public NamedMethodGenerator(int access_flags,
                                org.apache.bcel.generic.Type return_type,
                                org.apache.bcel.generic.Type[] arg_types,
                                java.lang.String[] arg_names,
                                java.lang.String method_name,
                                java.lang.String class_name,
                                org.apache.bcel.generic.InstructionList il,
                                org.apache.bcel.generic.ConstantPoolGen cp)

Method Detail

### getLocalIndex

    public int getLocalIndex(java.lang.String name)

  Overrides:
    getLocalIndex in class MethodGenerator

### loadParameter

    public org.apache.bcel.generic.Instruction loadParameter(int index)

### storeParameter

    public org.apache.bcel.generic.Instruction storeParameter(int index)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.